Results 1 to 2 of 2

Thread: Why will it not let me Upgrade my metapackage???

  1. #1
    Join Date
    2016-Oct
    Posts
    2

    Angry Why will it not let me Upgrade my metapackage???

    Code:
    The following packages have unmet dependencies:
     kali-linux-all : Depends: kali-linux-full but it is not going to be installed
    :mad::mad::mad::mad::mad:
    root@dev-null:~# apt-get -f install kali-linux-all
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
     kali-linux-all : Depends: kali-linux-full but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    Can someone please help me out with this problem? considering i just installed Kali and i would think this wouldnt happen unless i screwed up? Thanks

  2. #2
    Join Date
    2016-Apr
    Posts
    100
    Did you update your entire system before you tried installing the Metapackage?

    What happens if you install kali-linux-full?

Similar Threads

  1. Installing Kali metapackage (SDR Tools) Breaks apt-get (libqt4 related)
    By TacticalChaos in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2016-08-17, 19:49
  2. Installing Kali-All Metapackage breaks msfconsole
    By ebola0 in forum TroubleShooting Archive
    Replies: 2
    Last Post: 2016-08-07, 18:59
  3. Which Kali "metapackage" is Nethunter using?
    By 11552 in forum NetHunter General Questions
    Replies: 3
    Last Post: 2014-10-23, 20:15
  4. Installing kali-linux-full metapackage..
    By BazzaBoiii in forum Installing Archive
    Replies: 0
    Last Post: 2014-09-11, 21:56
  5. Kali Update Breaks the POSTGRESQL Metapackage
    By amorandi in forum Installing Archive
    Replies: 1
    Last Post: 2013-05-10, 19:49

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •